###
### Java.mk
###
### Copyright (c) 1999 The University of Utah and the Flux Group.
### All rights reserved.
###
### This file is part of Janos.
### 
### Janos is free software; you can redistribute it and/or modify it
### under the terms of the GNU General Public License, version 2, as
### published by the Free Software Foundation.
### 
### Janos is distributed in the hope that it will be useful, but
### WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
### GNU General Public License for more details, in the file
### COPYING.  If that file is not present, write to the Free
### Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
### 02111-1307, USA
### 
### The University of Utah and the Flux Group requests users to
### return to flux-dist@cs.utah.edu any improvements that they make.
###

###  Needs some documentation

JAVAC:=jikes -classpath /usr/local/java/lib/classes.zip:$(DEST_DIR) $(JIKES_FLAGS)

### --- Preprocessor stuff

GLOBAL_MACROS:=Defines.cpp

CPPOPTS:=$(CFLAGS) -P -Wcomment -nostdinc -undef -C -I. -imacros $(GLOBAL_MACROS)
#CPPOPTS:=$(CFLAGS) -P -Wcomment -nostdinc -undef    -I. -imacros $(GLOBAL_MACROS)
CPP:=gcc -E -x c

# CPPOPTS explained:
# -P:no line/file info.  Grr.  Blows chunks over whitespace.
# -Wcomment: warn about bad comments
# -nostdinc: use none of the standard #include directories
# -undef: no pre-defined macros 
# ! -C: leave comments in preprocessed source (messes up line numbers)
# -I.: search the current directory for -imacros file
# -I..: search the parent directory for -imacros file
# -imacros <file>: process <file> and keep macro/define info

PREPROCESS:=$(CPP) $(CPPOPTS)

### XXXX this is the sed magic (eventually)
DOC_MAGIC_SUBST:=cat

